import React, { useMemo, Children } from 'react';
import Link from 'umi/link';


const Navigate = ({ children, to, onClick }) => {
    if (to) {
        if (to.indexOf('http') === -1) {
            return (

                <a href={to} style={{ color: '#1D74D9' }}>{children}</a>

            )
        } else {
            return (
                <Link to={to} style={{ color: '#1D74D9' }}>{children}</Link>
            )
        }

    } else if (onClick) {
        return (
            <span onClick={onClick} style={{ color: '#1D74D9' }}>{children}</span>
        )

    } else {
        return (
            <span style={{ color: '#1D74D9' }}>{children}</span>
        )
    }


};

export default Navigate;